Bug 785439 (Horde_Util) - Review Request: php-horde-Horde-Util - Horde Utility Libraries
Summary: Review Request: php-horde-Horde-Util - Horde Utility Libraries
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: Horde_Util
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: horde-channel Horde_Url
Blocks: Horde_Nls Horde_Auth Horde_Browser Horde_Cache Horde_Token Horde_Text_Flowed Horde_Mime 785463 Horde_Group Horde_Image 785473 Horde_Prefs Horde_Serialize Horde_Icalendar horde-xml-wbxml horde-text-diff Horde_Compress Horde_Data Horde_Test Horde_Rpc Horde_Ldap 894563 Horde_Xml_Wbxml Horde_Text_Diff Horde_Tree Horde_Vfs Horde_SyncMl
TreeView+ depends on / blocked
 
Reported: 2012-01-28 23:41 UTC by Nick Bebout
Modified: 2013-03-26 13:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-21 23:49:53 UTC
Type: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Nick Bebout 2012-01-28 23:41:45 UTC
Spec URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Util.spec
SRPM URL: http://nb.fedorapeople.org/horde-reviews/php-horde-Horde-Util-1.2.0-1.fc16.src.rpm
Description: These classes provide functionality useful for all kind of applications.

Comment 1 Remi Collet 2012-01-30 15:00:43 UTC
--- php-horde-Horde-Util.spec.old	2012-01-30 15:54:02.000000000 +0100
+++ php-horde-Horde-Util.spec	2012-01-30 15:59:27.000000000 +0100
@@ -7,18 +7,22 @@
 Summary:        Horde Utility Libraries
 
 Group:          Development/Libraries
-License:        LGPLv2
+License:        LGPLv2+
 URL:            http://pear.horde.org
 Source0:        http://pear.horde.org/get/%{pear_name}-%{version}.tgz
 
 BuildArch:      noarch
-BuildRequires:  php-pear >= 1:1.4.9-1.2
+BuildRequires:  php-pear(PEAR) >= 1.7.0
+BuildRequires:  php-channel(pear.horde.org)
+
 Requires(post): %{__pear}
 Requires(postun): %{__pear}
-Requires:       php-pear(pear.horde.org/Horde_Url) <= 2.0.0, php-pear(PEAR) >= 1.7.0
-Conflicts:      php-pear(pear.horde.org/Horde_Url) = 2.0.0
-Provides:       php-pear(pear.horde.org/Horde_Util) = %{version}
-BuildRequires:  php-channel(pear.horde.org)
+Requires:       php-pear(pear.horde.org/Horde_Url) >= 1.0.0
+Requires:       php-pear(pear.horde.org/Horde_Url) <  2.0.0
+Requires:       php-pear(PEAR) >= 1.7.0
+Requires:       php-xml >= 5.2.0
+Requires:       php-mbstring >= 5.2.0
+Provides:       php-pear(pear.horde.org/%{pear_name}) = %{version}
 Requires:       php-channel(pear.horde.org)
 
 %description
@@ -67,12 +71,8 @@
 
 %files
 %doc %{pear_docdir}/%{pear_name}
-
-
 %{pear_xmldir}/%{name}.xml
-# Expand this as needed to avoid owning dirs owned by our dependencies
-# and to avoid unowned dirs
-%{pear_phpdir}/Horde/Array/Sort/Helper.php
+%{pear_phpdir}/Horde/Array
 %{pear_phpdir}/Horde/Array.php
 %{pear_phpdir}/Horde/Domhtml.php
 %{pear_phpdir}/Horde/String.php

Comment 2 Nick Bebout 2012-01-30 16:32:16 UTC
Updated

Comment 3 Remi Collet 2012-01-30 17:40:51 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
php-horde-Horde-Translation.noarch: W: no-documentation
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 4d67b9709ead5bafe095bda5688bc76f  /tmp/Horde_Translation-1.0.1.tgz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f16
 [-] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [x] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [!] Package must own all directories that it creates.
 [!] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [-] All filenames in rpm packages must be valid UTF-8
 [-] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Final requires
php-channel(pear.horde.org)  
php-common >= 5.2.0
php-pear(pear.horde.org/Horde_Test) >= 1.0.0
php-pear(pear.horde.org/Horde_Test) < 2.0.0
 [x] Final provides
php-pear(pear.horde.org/Horde_Translation) = 1.0.1
php-horde-Horde-Translation = 1.0.1-1.fc16
 [x] Latest version is packaged.
 [!] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [?] Reviewer should test that the package builds in mock.
     Tested on: Koji 
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on: 
 [?] Package functions as described.
 [x] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [?] %check is present and the tests pass

SHOULD: 
Please ask upstream to include LICENSE file

I agree with you comment #3, Horde_Test is only a optional dependency, so I was surprise to see you add it...
As Horde_Test will pull a lot of dependencies (among them: PHPUnit and xdebug, which are dev tool, not really usefull on a server), I think you could remove this.

I let you the choice.

MUST: 
- which package will own /usr/share/pear/Horde ?

This package (the first of the stack, without other dependency, except Horde_Test, if you keep it) seems a good candidate.

Comment 4 Remi Collet 2012-01-30 17:41:36 UTC
Grr sorry for the flood, last comment is for Horde_Translation

Comment 5 Nick Bebout 2012-02-15 21:53:45 UTC
I believe this one is ready to review.  I don't see any translation files.

Comment 6 Remi Collet 2012-02-18 14:07:41 UTC
Please avoid unnecessary Conflicts

Requires:       php-pear(pear.horde.org/Horde_Exception) >= 1.0.0
Requires:       php-pear(pear.horde.org/Horde_Exception) < 2.0.0
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-common >= 5.2.0

Also (pearinstaller in package.xml, used during build)
BuildRequires:  php-pear(PEAR) >= 1.7.0

Comment 7 Nick Bebout 2012-02-18 21:53:36 UTC
I don't see any conflicts?  Are you suggesting I remove the version requirements for Horde_Exception or what?

Comment 8 Remi Collet 2012-02-19 07:23:30 UTC
Soory, cache issue for me.

This ok is also OK

APPROVED

Comment 9 Nick Bebout 2012-02-19 14:41:31 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Util
Short Description: These classes provide functionality useful for all kind of
applications in Horde
Owners: nb
Branches: f16 f17 el6
InitialCC:

Comment 10 Gwyn Ciesla 2012-02-19 20:40:54 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.